%{!?__id_u: %define __id_u /bin/id -u}

Summary:	Utilities based around the RPM Package Manager
Name:		rpm-utils
Version:	1.5
Release:	2
License:	GPL
Group:		Development/Tools
Source:		ftp://ftp.kaybee.org/pub/linux/rpm-utils-%{version}.tar.gz
URL:		ftp://ftp.kaybee.org/pub/linux/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

%description
There are 8 scripts for use with RPM files for comparing them with
files already on your system.  It will also do directories.  There
is also a script to extract a single file from an RPM.  Finally, there
is a script that looks for files not owned by any package.

%prep
%setup

%install
[ "%{buildroot}" != "/" -a -n "%{buildroot}" ] && %{__rm} -rf "%{buildroot}"
%{__install} -d -m 755 $RPM_BUILD_ROOT%{_bindir}
for script in rpm-checkdir rpm-checkfile rpm-updatedir rpm-get \
		rpm-findnonrpm rpm-groups rpm-del-preserve rpm-rhupd
do
	%{__install} -m 755 $script %{buildroot}%{_bindir}
done

%clean
[ "%{buildroot}" != "/" -a -n "%{buildroot}" ] && %{__rm} -rf "%{buildroot}"

%files
%defattr(-,root,root,0755)
%doc README rpm-get-orig
%{_bindir}/rpm-checkfile
%{_bindir}/rpm-checkdir
%{_bindir}/rpm-updatedir
%{_bindir}/rpm-get
%{_bindir}/rpm-findnonrpm
%{_bindir}/rpm-groups
%{_bindir}/rpm-del-preserve
%{_bindir}/rpm-rhupd

%changelog
* Mon Jul 25 2005 Paul Howarth <paul@city-fan.org> 1.5-2
- started changelog
- rewrote specfile
